# Queue

> A WebExtension for queueing links.

[![Queue on AMO](https://img.shields.io/amo/v/holllo-queue)](https://addons.mozilla.org/firefox/addon/holllo-queue)

![Queue 0.2.2](./images/queue-version-0-2-2.png)

## Wiki

Want to find out more about Queue? Check out [the wiki].

[the wiki]: https://github.com/Holllo/queue/wiki

## Installation

You can install Queue through [Mozilla Addons], [installing from a file] (see [the Releases page] for a prebuilt version) or building [from source](#development).

[installing from a file]: https://support.mozilla.org/en-US/kb/find-and-install-add-ons-add-features-to-firefox#w_how-do-i-find-and-install-add-ons
[Mozilla Addons]: https://addons.mozilla.org/firefox/addon/holllo-queue/
[the Releases page]: https://github.com/Holllo/queue/releases

## Development

To build Queue you will need [git], [NodeJS] and [pnpm]. Then from a terminal, run the following commands.

[git]: https://git-scm.com
[NodeJS]: https://nodejs.org
[pnpm]: https://pnpm.io

```sh
# Step 1. Download the repository with Git.
git clone https://github.com/Holllo/queue
cd queue

# Step 2. Install the dependencies.
pnpm install

# Step 3. Start an auto-reloading browser instance for development.
pnpm start

# Step 4. Lint the code and run tests.
pnpm test

# Step 5. Build the WebExtension for production.
# See the web-ext-artifacts directory for output.
pnpm build
```

## License

Queue is open-sourced with the [AGPL-3.0-or-later] license.

[AGPL-3.0-or-later]: https://github.com/Holllo/queue/blob/main/LICENSE
